import 'package:json_annotation/json_annotation.dart';

part 'bottom_annotation_switch_cleanall.g.dart';

@JsonSerializable()
class BottomAnnotationSwitchCleanall extends Object {
  @JsonKey(name: 'cleanAll')
  bool cleanAll;

  @JsonKey(name: 'previousStep')
  bool previousStep;

  @JsonKey(name: 'uploadImage')
  bool uploadImage;

  BottomAnnotationSwitchCleanall({this.cleanAll = false, this.previousStep = false, this.uploadImage = false});

  factory BottomAnnotationSwitchCleanall.fromJson(Map<String, dynamic> srcJson) =>
      _$BottomAnnotationSwitchCleanallFromJson(srcJson);

  Map<String, dynamic> toJson() => _$BottomAnnotationSwitchCleanallToJson(this);
}
